#### PyKDE - Python Bindings for KDE

# class _TDEIO.ChmodJob |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | _TDEIO.ChmodJob
Inherits | _TDEIO.Job

### methods

- ChmodJob (lstItems, permissions, mask, newOwner, newGroup, recursive, showProgressInfo)

  returns a ChmodJob instance
  Argument | Type | Default
  --- | --- | ---
  lstItems | KFileItemList |
  permissions | int |
  mask | int |
  newOwner | int |
  newGroup | int |
  recursive | bool |
  showProgressInfo | bool |

- chmodNextFile ()

  returns nothing

- processList ()

  returns nothing

- slotEntries (a0, a1)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | _TDEIO.Job |
  a1 | _TDEIO.UDSEntryList |

- slotResult (job)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  job | _TDEIO.Job |